vphy: Data Fields - Variables

| vphy Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- h
- i
- l
- m
- p
- q
- r
- t
- u
- x

### - a -

- AxiLiteClkFreq : XVphy_Config

### - b -

- BaseAddr : XVphy_Config

### - c -

- Config : XVphy
- CpllParams : XVphy_Channel
- CpllRefClkSel : XVphy_Channel

### - d -

- DataBuffer : XVphy_Log
- DeviceId : XVphy_Config
- DrpClkFreq : XVphy_Config
- DruIsPresent : XVphy_Config
- DruRefClkSel : XVphy_Config

### - e -

- ErrIrq : XVphy_Config
- ErrorCallback : XVphy
- ErrorRef : XVphy

### - h -

- HdmiFastSwitch : XVphy_Config
- HdmiIsQpllPresent : XVphy
- HdmiRxDruIsEnabled : XVphy
- HdmiRxInitCallback : XVphy
- HdmiRxInitRef : XVphy
- HdmiRxReadyCallback : XVphy
- HdmiRxReadyRef : XVphy
- HdmiRxRefClkHz : XVphy
- HdmiRxTmdsClockRatio : XVphy
- HdmiTxInitCallback : XVphy
- HdmiTxInitRef : XVphy
- HdmiTxReadyCallback : XVphy
- HdmiTxReadyRef : XVphy
- HdmiTxRefClkHz : XVphy
- HdmiTxSampleRate : XVphy
- HeadIndex : XVphy_Log

### - i -

- IntrCpllLockCallbackRef : XVphy
- IntrCpllLockHandler : XVphy
- IntrQpll1LockCallbackRef : XVphy
- IntrQpll1LockHandler : XVphy
- IntrQpllLockCallbackRef : XVphy
- IntrQpllLockHandler : XVphy
- IntrRxClkDetFreqChangeCallbackRef : XVphy
- IntrRxClkDetFreqChangeHandler : XVphy
- IntrRxMmcmLockCallbackRef : XVphy
- IntrRxMmcmLockHandler : XVphy
- IntrRxResetDoneCallbackRef : XVphy
- IntrRxResetDoneHandler : XVphy
- IntrRxTmrTimeoutCallbackRef : XVphy
- IntrRxTmrTimeoutHandler : XVphy
- IntrTxAlignDoneCallbackRef : XVphy
- IntrTxAlignDoneHandler : XVphy
- IntrTxClkDetFreqChangeCallbackRef : XVphy
- IntrTxClkDetFreqChangeHandler : XVphy
- IntrTxMmcmLockCallbackRef : XVphy
- IntrTxMmcmLockHandler : XVphy
- IntrTxResetDoneCallbackRef : XVphy
- IntrTxResetDoneHandler : XVphy
- IntrTxTmrTimeoutCallbackRef : XVphy
- IntrTxTmrTimeoutHandler : XVphy
- IsReady : XVphy

### - l -

- LineRateHz : XVphy_Channel
- Log : XVphy

### - m -

- Mmcm : XVphy_Quad

### - p -

- PllLayoutErrorCallback : XVphy
- PllLayoutErrorRef : XVphy
- Ppc : XVphy_Config

### - q -

- Quads : XVphy

### - r -

- RxChannels : XVphy_Config
- RxDataRefClkSel : XVphy_Channel
- RxDataWidth : XVphy_Channel
- RxDelayBypass : XVphy_Channel
- RxIntDataWidth : XVphy_Channel
- RxMmcm : XVphy_Quad
- RxOutClkSel : XVphy_Channel
- RxOutDiv : XVphy_Channel
- RxOutRefClkSel : XVphy_Channel
- RxProtocol : XVphy_Channel , XVphy_Config
- RxRefClkSel : XVphy_Config
- RxState : XVphy_Channel
- RxSysPllClkSel : XVphy_Config

### - t -

- TailIndex : XVphy_Log
- TransceiverWidth : XVphy_Config
- TxBufferBypass : XVphy_Config
- TxChannels : XVphy_Config
- TxDataRefClkSel : XVphy_Channel
- TxDataWidth : XVphy_Channel
- TxDelayBypass : XVphy_Channel
- TxIntDataWidth : XVphy_Channel
- TxMmcm : XVphy_Quad
- TxOutClkSel : XVphy_Channel
- TxOutDiv : XVphy_Channel
- TxOutRefClkSel : XVphy_Channel
- TxProtocol : XVphy_Config , XVphy_Channel
- TxRefClkSel : XVphy_Config
- TxState : XVphy_Channel
- TxSysPllClkSel : XVphy_Config

### - u -

- UseGtAsTxTmdsClk : XVphy_Config
- UserTimerPtr : XVphy
- UserTimerWaitUs : XVphy

### - x -

- XcvrType : XVphy_Config